import { y as defineEventHandler, b0 as useLogger, aG as readValidatedBody, T as Tag, v as createError } from '../../nitro/nitro.mjs';
import { r as requireAdminSession } from '../../_/session.mjs';
import { z } from 'zod';
import 'luxon';
import '@sequelize/core';
import 'html-to-text';
import 'crypto';
import 'node:fs';
import 'sharp';
import 'path';
import 'node:stream';
import 'jsdom';
import 'dompurify';
import 'mime-types';
import 'fs';
import 'fs/promises';
import 'linkify-html';
import '@peertube/http-signature';
import 'jsonld';
import 'lodash.intersection';
import 'email-templates';
import 'node:http';
import 'node:https';
import 'node:crypto';
import 'node:events';
import 'node:buffer';
import 'node:path';
import 'vue';
import 'vue-router';
import 'dotenv';
import 'url';
import 'bcryptjs';
import 'slugify';
import 'umzug';
import 'consola';
import '@sequelize/core/decorators-legacy';
import 'util';
import 'mitt';
import 'ical.js';
import 'node:url';
import 'fast-xml-parser';
import '../../_/getUser.mjs';
import '../../_/jwt.mjs';
import 'jose';

const schema = z.object({
  tag: z.string()
});
const index_delete = defineEventHandler(async (evt) => {
  await requireAdminSession(evt);
  const log = useLogger("tag remove");
  const { tag: tagName } = await readValidatedBody(evt, schema.parse);
  const tag = await Tag.findByPk(tagName);
  if (!tag) {
    log.error("This tag does not exist: ", tagName);
    throw createError({ status: 404, message: "This tag does not exists" });
  }
  log.info(`Remove tag "${tagName}"`);
  return tag.destroy();
});

export { index_delete as default };
